@file:Suppress("SpellCheckingInspection", "unused")

package de.salomax.helpers.currencies

import java.util.*

// !! change this to the target language !!
private val targetLanguage = Locale("zh", "CN")

private val ISO_NAMES = listOf(
    "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT",
    "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTC", "BTN", "BWP", "BYN", "BZD",
    "CAD", "CDF", "CHF", "CLF", "CLP", "CNH", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK",
    "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "FOK", "GBP", "GEL",
    "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR",
    "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR",
    "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD",
    "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MRU", "MUR", "MVR", "MWK", "MXN", "MYR",
    "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR",
    "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD",
    "SHP", "SLE", "SLL", "SOS", "SRD", "SSP", "STD", "STN", "SVC", "SYP", "SZL", "THB", "TJS",
    "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF",
    "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT",
    "YER", "ZAR", "ZMW", "ZWL"
)

fun main() {
    println(
        """
            <?xml version="1.0" encoding="utf-8"?>
            <resources>
        """.trimIndent()
    )
    for (isoName in ISO_NAMES) {
        try {
            val name = Currency.getInstance(isoName).getDisplayName(targetLanguage)
                .replaceFirstChar { if (it.isLowerCase()) it.titlecase(targetLanguage) else it.toString() }
                .replace("&", "&amp;")
                .replace("'", "\\'")
            println("""    <string name="name_${isoName.lowercase()}">$name</string>""")
        } catch (e: java.lang.IllegalArgumentException) {
            println(isoName)
        }
    }
    println("</resources>\n")
}
